## org.opengis.coverage.grid.quadrilateral
Interface FootPrint

    @UML(identifier="CV_FootPrint",
         specification=ISO_19123)
    public interface FootPrint

The presentation of an observed or measured space surrounding a sample point in the context of some external coordinate reference system.

Method Summary
`GridPoint` `getCenter()` Returns the grid point to which this foor print corresponds.
`Geometry` `getGeometry()` Returns the geometry that shapes the foot print.

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    Geometry getGeometry()

  Returns the geometry that shapes the foot print. In the simplest case this can be a point, but it can also be a disc, sphere or hypersphere

### getCenter

    @UML(identifier="center",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridPoint getCenter()

  Returns the grid point to which this foor print corresponds.

  See Also:
    `GridPoint.getFootPrint()`
  TODO:
    his role name in ISO 19123, "center", is a misnomer. By definition, the sample point represented in the same external coordinate reference system as the footprint, is the "center" of the footprint. This "center" attribute associates the footprint with a grid point, which represents only the index into the grid. This implementation specification, therefore, has renamed the association role to "index".

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.